export declare const DATA_DIR_NAME = ".debug-thinking-mcp";
export declare const METADATA_FILE = "metadata.json";
export declare const SESSIONS_JSONL_FILE = "sessions.jsonl";
export declare const ERROR_PATTERNS_JSONL_FILE = "error-patterns.jsonl";
export declare const SUCCESSFUL_FIXES_JSONL_FILE = "successful-fixes.jsonl";
export declare const DEFAULT_SEARCH_LIMIT = 10;
export declare const MAX_SEARCH_LIMIT = 50;
export declare const MIN_SEARCH_LIMIT = 1;
export declare const DEFAULT_SEARCH_MODE = "fuzzy";
export declare const DEFAULT_KEYWORD_LOGIC = "OR";
export declare const ERROR_TYPE_EXACT_MATCH_SCORE = 0.4;
export declare const ERROR_TYPE_PARTIAL_MATCH_SCORE = 0.25;
export declare const ERROR_TYPE_SIMILARITY_THRESHOLD = 0.7;
export declare const KEYWORD_MATCH_SCORE = 0.5;
export declare const KEYWORD_AND_PARTIAL_SCORE = 0.3;
export declare const METADATA_ONLY_BASE_SCORE = 0.3;
export declare const DEFAULT_BASE_SCORE = 0.1;
export declare const RECENT_SESSION_BOOST = 0.1;
export declare const RECENT_SESSION_DAYS = 7;
export declare const SOMEWHAT_RECENT_SESSION_BOOST = 0.05;
export declare const SOMEWHAT_RECENT_SESSION_DAYS = 30;
export declare const HIGH_SUCCESS_RATE_THRESHOLD = 0.8;
export declare const HIGH_SUCCESS_RATE_BOOST = 0.1;
export declare const HIGH_SIMILARITY_THRESHOLD = 0.7;
export declare const ERROR_MESSAGES: {
    NO_ACTIVE_SESSION: string;
    SESSION_NOT_FOUND: string;
    INVALID_SEARCH_QUERY: string;
    NO_SEARCH_CRITERIA: string;
    INVALID_LIMIT: string;
    UNKNOWN_ACTION: string;
    SEARCH_QUERY_REQUIRED: string;
    NO_SESSION_TO_END: string;
    AT_LEAST_ONE_FIELD_REQUIRED: string;
};
export declare const TOOL_NAME = "debug_thinking";
export declare const SERVER_NAME = "debug-thinking-mcp-server";
export declare const SERVER_VERSION = "1.0.0";
//# sourceMappingURL=constants.d.ts.map