/**
 * デバッグプロセスをグラフ構造で表現するための型定義
 * 問題解決の流れをノードとエッジでモデル化
 */
/**
 * 型ガード関数群
 * ノードが特定の型であることを安全にチェック
 */
export function isProblemNode(node) {
    return node.type === 'problem';
}
export function isHypothesisNode(node) {
    return node.type === 'hypothesis';
}
export function isExperimentNode(node) {
    return node.type === 'experiment';
}
export function isObservationNode(node) {
    return node.type === 'observation';
}
export function isLearningNode(node) {
    return node.type === 'learning';
}
export function isSolutionNode(node) {
    return node.type === 'solution';
}
//# sourceMappingURL=graph.js.map