/**
 * グラフ操作用アクションタイプ
 * MCPツールが受け付ける3つの基本操作
 */
export var ActionType;
(function (ActionType) {
    ActionType["CREATE"] = "create";
    ActionType["CONNECT"] = "connect";
    ActionType["QUERY"] = "query";
})(ActionType || (ActionType = {}));
/**
 * 親子関係から適切なエッジタイプを自動判定
 * CREATEアクションでparentId指定時に使用
 * @param parentType 親ノードのタイプ
 * @param childType 子ノードのタイプ
 * @returns 適切なエッジタイプまたはnull(マッピングなしの場合)
 */
export function getAutoEdgeType(parentType, childType) {
    const mapping = {
        'problem-problem': 'decomposes',
        'problem-hypothesis': 'hypothesizes',
        'hypothesis-experiment': 'tests',
        'experiment-observation': 'produces',
        'observation-learning': 'learns',
        'solution-problem': 'solves',
    };
    return mapping[`${parentType}-${childType}`] || null;
}
//# sourceMappingURL=graphActions.js.map